beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lukecwik <...@git.apache.org>
Subject [GitHub] incubator-beam pull request #1294: [BEAM-725] Migrate to use the generic Goo...
Date Mon, 07 Nov 2016 17:49:00 GMT
GitHub user lukecwik opened a pull request:

    https://github.com/apache/incubator-beam/pull/1294

    [BEAM-725] Migrate to use the generic Google credentials library

    Be sure to do all of the following to help us incorporate your contribution
    quickly and easily:
    
     - [x] Make sure the PR title is formatted like:
       `[BEAM-<Jira issue #>] Description of pull request`
     - [x] Make sure tests pass via `mvn clean verify`. (Even better, enable
           Travis-CI on your fork and ensure the whole test matrix passes).
     - [x] Replace `<Jira issue #>` in the title with the actual Jira issue
           number, if there is one.
     - [ ] If this contribution is large, please file an Apache
           [Individual Contributor License Agreement](https://www.apache.org/licenses/icla.txt).
    
    ---
    
    Generic library has Apiary and gRPC library support instead of the Apiary only credentials
we are currently using.
    
    Dependency diff for modified pom files (old = left, new = right):
    beam-sdks-java-core:
    8d7
    < [INFO] |  \- com.google.auth:google-auth-library-credentials:jar:0.4.0:compile
    26c25,26
    < [INFO] +- com.google.auth:google-auth-library-oauth2-http:jar:0.4.0:compile
    ---
    > [INFO] +- com.google.auth:google-auth-library-credentials:jar:0.6.0:compile
    > [INFO] +- com.google.auth:google-auth-library-oauth2-http:jar:0.6.0:compile
    49d48
    < [INFO] +- com.google.oauth-client:google-oauth-client-java6:jar:1.22.0:compile
    53c52,53
    < [INFO] |  \- com.google.api-client:google-api-client-jackson2:jar:1.22.0:compile
    ---
    > [INFO] |  +- com.google.api-client:google-api-client-jackson2:jar:1.22.0:compile
    > [INFO] |  \- com.google.oauth-client:google-oauth-client-java6:jar:1.22.0:compile
    
    beam-runners-google-cloud-dataflow-java:
    9d8
    < [INFO] |  |  \- com.google.auth:google-auth-library-credentials:jar:0.4.0:compile
    26d24
    < [INFO] |  +- com.google.auth:google-auth-library-oauth2-http:jar:0.4.0:compile
    41c39
    < [INFO] |  +- com.google.oauth-client:google-oauth-client-java6:jar:1.22.0:compile
    ---
    > [INFO] |  +- com.google.oauth-client:google-oauth-client:jar:1.22.0:compile
    52d49
    < [INFO] +- com.google.oauth-client:google-oauth-client:jar:1.22.0:compile
    61a59,60
    > [INFO] +- com.google.auth:google-auth-library-credentials:jar:0.6.0:compile
    > [INFO] +- com.google.auth:google-auth-library-oauth2-http:jar:0.6.0:compile
    64c63,64
    < [INFO] |  \- com.google.api-client:google-api-client-jackson2:jar:1.22.0:compile
    ---
    > [INFO] |  +- com.google.api-client:google-api-client-jackson2:jar:1.22.0:compile
    > [INFO] |  \- com.google.oauth-client:google-oauth-client-java6:jar:1.22.0:compile
    
    beam-sdks-java-io-google-cloud-platform:
    20d19
    < [INFO] |  +- com.google.auth:google-auth-library-oauth2-http:jar:0.4.0:compile
    33c32
    < [INFO] |  +- com.google.oauth-client:google-oauth-client-java6:jar:1.22.0:compile
    ---
    > [INFO] |  +- com.google.oauth-client:google-oauth-client:jar:1.22.0:compile
    44c43,44
    < [INFO] |  \- com.google.api-client:google-api-client-jackson2:jar:1.22.0:compile
    ---
    > [INFO] |  +- com.google.api-client:google-api-client-jackson2:jar:1.22.0:compile
    > [INFO] |  \- com.google.oauth-client:google-oauth-client-java6:jar:1.22.0:compile
    57d56
    < [INFO] |  +- com.google.auth:google-auth-library-credentials:jar:0.4.0:compile
    69c68,69
    < [INFO] +- com.google.oauth-client:google-oauth-client:jar:1.22.0:compile
    ---
    > [INFO] +- com.google.auth:google-auth-library-credentials:jar:0.6.0:compile
    > [INFO] +- com.google.auth:google-auth-library-oauth2-http:jar:0.6.0:compile


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/lukecwik/incubator-beam beam725

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/incubator-beam/pull/1294.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1294
    
----
commit f5b6ebaf5a9f8feb6a0e31e977e83102a0ee430e
Author: Luke Cwik <lcwik@google.com>
Date:   2016-11-07T17:40:38Z

    [BEAM-725] Migrate to use the generic credentials library compatible with Apiary and gRPC
instead of the Apiary only credentials library.

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message